#!/usr/bin/env bash

while getopts s:u:l: flag
do
    case "${flag}" in
        s) server=${OPTARG};;
        u) username=${OPTARG};;
        l) local_user=${OPTARG};;
    esac
done

#
# This could be done more gently by copying a script over and running it, but this is fine for now
#

ssh $username@$server 'systemctl stop --user pixel_webserver'
ssh $username@$server 'mkdir -p ~/.local/bin/pixel/static'
scp ../static/* $username@$server:~/.local/bin/pixel/static
scp ../target/debug/host $username@$server:~/.local/bin/pixel
scp Rocket.toml $username@$server:~/.local/bin/pixel
scp pixel_webserver.service $username@$server:~/.local/bin/pixel
ssh $username@$server sudo -S cp $local_user/.local/bin/pixel/pixel_webserver.service /etc/systemd/user
ssh $username@$server 'systemctl --user daemon-reload'
ssh $username@$server 'systemctl start --user pixel_webserver.service'