use std::net::SocketAddr;

#[derive(Debug)]
pub struct Identification {
    pub forwarded_for: Option<String>,
    pub user_agent: Option<String>,
    pub proxy_user: Option<String>,
    pub ip_address: Option<String>,
}

impl Identification {
    pub fn new(
        forwarded_for: Option<&str>,
        user_agent: Option<&str>,
        proxy_user: Option<&str>,
        ip_address: Option<SocketAddr>,
    ) -> Identification {
        Identification {
            forwarded_for: match forwarded_for {
                Some(x) => Some(x.to_string()),
                _ => None,
            },
            user_agent: match user_agent {
                Some(x) => Some(x.to_string()),
                _ => None,
            },
            ip_address: match ip_address {
                Some(x) => Some(x.to_string()),
                _ => None,
            },
            proxy_user: match proxy_user {
                Some(x) => Some(x.to_string()),
                _ => None,
            },
        }
    }
}
