use rocket::http::{Header, Method, Status};
use rocket::local::blocking::Client;
use server::launch_server;

#[test]
fn make_success_call_to_image_endpoint() {
    let client = Client::tracked(launch_server()).expect("valid rocket instance");

    let mut request = client.get("/image");
    request.add_header(Header::new("X-Forwarded-For", "33333333333333333"));
    let mut response = request.dispatch();

    assert_eq!(response.status(), Status::Ok);
}